# MPI_Int2handle

Convert an integer (Fortran) MPI handle to a C handle

## Synopsis

    #include "mpi.h"
    MPI_Handle_type MPI_Int2handle( f_handle, handle_kind )
    MPI_Fint        f_handle;
    MPI_Handle_enum handle_kind;

## Input Parameters

| f_handle | Fortran integer handle
| handle_kind | Type of handle

## Return value

c_handle
  C version of handle; should be cast to the correct type.

## Notes

The returned handle should be cast to the correct type by the user.

## Notes for Fortran users

There is no Fortran version of this routine.

## Note on standard

This function is part of the MPI-2 draft, and may change while the draft undergoes revision. It is provided as an aid to programmers who wish to experiment with some MPI2 features.

Location:int2handle.c